<div class="page-breadcrumb">
    <div class="row align-items-center">
        <div class="col-5">
            <h4 class="page-title"><b>Puntos</b></h4>
            <div class="d-flex align-items-center">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item"><a style="color: #092a5e">Uso de puntos</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Consultar</li>
                    </ol>
                </nav>
            </div>
        </div>
    </div>
</div>

<div class="col-lg-12" style="display: inline-block; margin-bottom: 15px; padding-left: 0px ">
    <div class="col-12">
        <button type="button" ui-sref="app.conceptos-puntos" class="btn btn-dental">
            <i class="fas fa-list"></i>&nbsp;&nbsp;Conceptos
        </button>
        <button type="button" ui-sref="app.vencimiento-puntos" class="btn btn-dental">
            <i class="fas fa-clock"></i>&nbsp;&nbsp;Vencimiento de puntos
        </button>
    </div>
</div>


<div class="col-lg-12">
    <div class="card" style="border-radius: 8px">
        <div class="card-header">
            <strong>Realizar</strong> Consulta
        </div>
        <div class="card-body card-block">
            <form ng-submit="consultar()" class="form-inline">
                <div class="col col-12">
                    <div class="row">
                        <div class="col col-6 form-group"><label for="exampleInputName2" class="pr-1  form-control-label">Fecha Inicio:</label>
                            <input ng-model="consulta.fechaDesde" type="date" data-date-format="MM-DD-YYYY" class="form-control alineado"> <a class="srh-btn"><i class="ti-close"></i></a>
                        </div>
                        <div class="col col-6 form-group"><label for="exampleInputName2" class="pr-1  form-control-label">Fecha Inicio:</label>
                            <input ng-model="consulta.fechaHasta" type="date" data-date-format="MM-DD-YYYY" class="form-control alineado"> <a class="srh-btn"><i class="ti-close"></i></a>
                        </div>
                    </div>
                    <div style="padding-top: 20px" class="row">
                        <div class="col col-6 form-group"><label for="exampleInputName2" class="pr-1  form-control-label">Concepto:</label>
                            <select ng-model="consulta.concepto" class="form-control alineado">
                                <option ng-repeat="c in conceptos" value={{c._id}}>{{c.descripcion}}</option>
                            </select>
                        </div>
                        <div class="col col-6 form-group"><label for="exampleInputName2" class="pr-1  form-control-label">Cliente:</label>
                            <select ng-model="consulta.cliente" class="form-control alineado">
                                <option ng-repeat="cli in clientes" value={{cli._id}}>{{cli.nombre}} {{cli.apellido}}</option>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="col col-12" style="padding-top: 20px">
                    <div style="text-align: right;">
                        <button type="submit" class="btn btn-dental">
                            <i class="fa fa-dot-circle-o"></i> Consultar
                        </button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>

<div ng-show="mostrarTabla" class="col-lg-12">
    <div class="card hidden-table">
        <div style="padding: 30px; text-align: center; color: grey;" ng-if="filtrado.length == 0">
            <i class="fas fa-exclamation-circle" style="font-size: 20px"></i>
            <h4>No existen coincidencias</h4>
        </div>
        <div ng-if="filtrado.length > 0" class="table-responsive">
            <table class="table">
                <thead class="thead-light">
                    <tr>
                        <th scope="col">Concepto</th>
                        <th scope="col">Puntaje Utilizado</th>
                        <th scope="col">Fecha</th>
                        <th scope="col">Cliente</th>
                    </tr>
                </thead>
                <tbody>
                    <tr ng-repeat="f in filtrado">
                        <td style="padding-top: 14px">{{matchConcepto(f.conceptoUsoPuntos)}}</td>
                        <td style="padding-top: 14px"><label class="label label-success ng-binding" style="font-size: 17px;">{{f.puntajeUtilizado}} <small>pts</small></label></td>
                        <td style="padding-top: 14px">{{f.fecha | date : 'dd/MM/yyyy'}}</td>
                        <td style="padding-top: 14px">{{matchCliente(f.idCliente)}}</td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
</div>